sensorfw: ProximitySensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
ProximitySensorChannel Class Reference

Sensor for accessing proximity sensor measurements. More...

`#include <proximitysensor.h>`

Inheritance diagram for ProximitySensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const Unsigned &data)
| Sent when new measurement data has become available.

## Public Member Functions
Unsigned | proximity () const
| Property for accessing the measured value.
Proximity | proximityReflectance () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for AbstractSensorChannel.

## Protected Member Functions
| ProximitySensorChannel (const QString &id)
virtual | ~ProximitySensorChannel ()

## Properties
Unsigned | proximity
Proximity | proximityReflectance

## Detailed Description

Sensor for accessing proximity sensor measurements.

Provides measurement data from device proximity sensor.

Definition at line 46 of file proximitysensor.h.

## Constructor & Destructor Documentation

## ◆ ProximitySensorChannel()

ProximitySensorChannel::ProximitySensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~ProximitySensorChannel()

virtual ProximitySensorChannel::~ProximitySensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void ProximitySensorChannel::dataAvailable | ( | const Unsigned & | data | ) |
| signal

Sent when new measurement data has become available.

Parameters

  data | Newly measured data.

## ◆ factoryMethod()

static AbstractSensorChannel * ProximitySensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for AbstractSensorChannel.

Returns
  New ProximitySensorChannel as AbstractSensorChannel*.

Definition at line 59 of file proximitysensor.h.

## ◆ proximity()

Unsigned ProximitySensorChannel::proximity | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 70 of file proximitysensor.h.

## ◆ proximityReflectance()

Proximity ProximitySensorChannel::proximityReflectance | ( |  | ) | const
| inline

Definition at line 72 of file proximitysensor.h.

## ◆ start

bool ProximitySensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool ProximitySensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ proximity

Unsigned ProximitySensorChannel::proximity
| read

Definition at line 51 of file proximitysensor.h.

## ◆ proximityReflectance

Proximity ProximitySensorChannel::proximityReflectance
| read

Definition at line 52 of file proximitysensor.h.

The documentation for this class was generated from the following file:

- sensors/proximitysensor/proximitysensor.h